<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>footnote documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">footnote documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>AddInfoPage</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/pages/add-info/add-info.ts</code>
</p>

    <p class="comment">
        <h3>Description</h3>
    </p>
    <p class="comment">
        <p>Page to add Info-Pieces</p>

    </p>

    <p class="comment">
        <h3>Extends</h3>
    </p>
    <p class="comment">
            <code><a href="../classes/_DetailPage.html" target="_self" >_DetailPage</a></code>
    </p>



<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>page-add-info</code></td>
            </tr>




            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>add-info.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#modalCtrl">modalCtrl</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#navCtrl">navCtrl</a>
                            </li>
                            <li>
                                <a href="#newContent">newContent</a>
                            </li>
                            <li>
                                <a href="#object">object</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#params">params</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#rest">rest</a>
                            </li>
                            <li>
                                <a href="#usergroupid">usergroupid</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#dismiss">dismiss</a>
                            </li>
                            <li>
                                <a href="#done">done</a>
                            </li>
                            <li>
                                <a href="#ionViewDidLoad">ionViewDidLoad</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#openUploadDialog">openUploadDialog</a>
                            </li>
                        </ul>
                    </td>
                </tr>





        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(navCtrl: NavController, params: NavParams, rest: <a href="../injectables/RestProvider.html">RestProvider</a>, modalCtrl: ModalController)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="21" class="link-to-prism">src/pages/add-info/add-info.ts:21</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Constructor</p>
</div>
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>navCtrl</td>
                                                  
                                                        <td>
                                                                    <code>NavController</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>params</td>
                                                  
                                                        <td>
                                                                    <code>NavParams</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>rest</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/RestProvider.html" target="_self" >RestProvider</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>modalCtrl</td>
                                                  
                                                        <td>
                                                                    <code>ModalController</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="dismiss"></a>
                        <span class="name">
                            <b>
                            dismiss
                            </b>
                            <a href="#dismiss"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>dismiss()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="58" class="link-to-prism">src/pages/add-info/add-info.ts:58</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>close this window</p>
</div>

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="done"></a>
                        <span class="name">
                            <b>
                            done
                            </b>
                            <a href="#done"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>done()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="48" class="link-to-prism">src/pages/add-info/add-info.ts:48</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Save Info</p>
</div>

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ionViewDidLoad"></a>
                        <span class="name">
                            <b>
                            ionViewDidLoad
                            </b>
                            <a href="#ionViewDidLoad"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ionViewDidLoad()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="41" class="link-to-prism">src/pages/add-info/add-info.ts:41</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>View Did Load</p>
</div>

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="openUploadDialog"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            openUploadDialog
                            </b>
                            <a href="#openUploadDialog"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>openUploadDialog(id)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="65" class="link-to-prism">src/pages/add-info/add-info.ts:65</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Open the File Upload Window</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>id</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="modalCtrl"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            modalCtrl</b>
                            <a href="#modalCtrl"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>ModalController</code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="32" class="link-to-prism">src/pages/add-info/add-info.ts:32</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="navCtrl"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            navCtrl</b>
                            <a href="#navCtrl"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>NavController</code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="31" class="link-to-prism">src/pages/add-info/add-info.ts:31</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="newContent"></a>
                        <span class="name">
                            <b>
                            newContent</b>
                            <a href="#newContent"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="19" class="link-to-prism">src/pages/add-info/add-info.ts:19</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                        <div class="io-description"><p>new Content </p>
</div>
                    </td>
                </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="object"></a>
                        <span class="name">
                            <b>
                            object</b>
                            <a href="#object"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="17" class="link-to-prism">src/pages/add-info/add-info.ts:17</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                        <div class="io-description"><p>current object </p>
</div>
                    </td>
                </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="params"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            params</b>
                            <a href="#params"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>NavParams</code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="31" class="link-to-prism">src/pages/add-info/add-info.ts:31</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="rest"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            rest</b>
                            <a href="#rest"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../injectables/RestProvider.html" target="_self" >RestProvider</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="31" class="link-to-prism">src/pages/add-info/add-info.ts:31</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="usergroupid"></a>
                        <span class="name">
                            <b>
                            usergroupid</b>
                            <a href="#usergroupid"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="21" class="link-to-prism">src/pages/add-info/add-info.ts:21</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                        <div class="io-description"><p>User Group Id </p>
</div>
                    </td>
                </tr>

            </tbody>
        </table>
</section>

</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component } from &#x27;@angular/core&#x27;;
import { RestProvider } from &#x27;../../providers/rest/rest&#x27;;
import { NavController, NavParams, ModalController } from &#x27;ionic-angular&#x27;;
import { DialogPage } from &#x27;../dialog/dialog&#x27;;
import { _DetailPage } from &#x27;../_DetailPage&#x27;;
import { TabsPage } from &#x27;../tabs/tabs&#x27;;

/**
 * Page to add Info-Pieces
 */
@Component({
  selector: &#x27;page-add-info&#x27;,
  templateUrl: &#x27;add-info.html&#x27;,
})
export class AddInfoPage extends _DetailPage {
  /** current object */
  object;
  /** new Content */
  newContent;
  /** User Group Id */
  usergroupid;

  /**
   * Constructor
   * 
   * @param navCtrl 
   * @param params 
   * @param rest 
   * @param modalCtrl 
   */
  constructor(public navCtrl: NavController, public params: NavParams, public rest: RestProvider,
    public modalCtrl: ModalController) {
    super();
    this.object &#x3D; this.params.get(&#x27;info&#x27;);
    this.usergroupid &#x3D; { &quot;id&quot;: this.params.get(&#x27;id&#x27;) };
  }

  /**
   * View Did Load
   */
  ionViewDidLoad() {
    console.log(&#x27;ionViewDidLoad AddInfoPage&#x27;);
  }

  /**
   * Save Info
   */
  done() {
    this.rest.saveInfo(this.newContent, this.object.id).subscribe(data &#x3D;&gt; {
      console.log(&quot;Info updated! id: &quot; + data.id);
      this.openUploadDialog(data.id);
    });
  }

  /**
   * close this window
   */
  dismiss() {
    this.navCtrl.setRoot(TabsPage, this.usergroupid);
  }

  /**
  * Open the File Upload Window
  */
  public openUploadDialog(id) {
    let modal &#x3D; this.modalCtrl.create(DialogPage, { id: id, typ: &quot;noteid&quot;, usergroupid: this.usergroupid.id }, {});
    modal.onDidDismiss(data &#x3D;&gt; {
      this.dismiss();
    })
    modal.present();
  }
}</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;!--
  Add Infos
--&gt;
&lt;ion-header&gt;
  &lt;ion-navbar&gt;
    &lt;ion-title&gt;Notiz hinzufügen&lt;/ion-title&gt;
    &lt;ion-buttons start&gt;
      &lt;button ion-button ion-button (click)&#x3D;&quot;dismiss()&quot;&gt;
        &lt;span ion-text color&#x3D;&quot;primary&quot; showWhen&#x3D;&quot;ios&quot;&gt;Cancel&lt;/span&gt;
        &lt;ion-icon name&#x3D;&quot;md-close&quot; showWhen&#x3D;&quot;android, windows&quot;&gt;&lt;/ion-icon&gt;
      &lt;/button&gt;
    &lt;/ion-buttons&gt;
  &lt;/ion-navbar&gt;

&lt;/ion-header&gt;


&lt;ion-content padding&gt;
  &lt;quill-editor [(ngModel)]&#x3D;&quot;newContent&quot;&gt;&lt;/quill-editor&gt;

  &lt;button ion-button round icon-only (click)&#x3D;&quot;done()&quot;&gt;
    &lt;ion-icon md-name&#x3D;&quot;done&quot;&gt;&lt;/ion-icon&gt;
  &lt;/button&gt;
&lt;/ion-content&gt;
</code></pre>
    </div>


    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><!--  Add Infos--><ion-header>  <ion-navbar>    <ion-title>Notiz hinzufügen</ion-title>    <ion-buttons start>      <button ion-button ion-button (click)="dismiss()">        <span ion-text color="primary" showWhen="ios">Cancel</span>        <ion-icon name="md-close" showWhen="android, windows"></ion-icon>      </button>    </ion-buttons>  </ion-navbar></ion-header><ion-content padding>  <quill-editor [(ngModel)]="newContent"></quill-editor>  <button ion-button round icon-only (click)="done()">    <ion-icon md-name="done"></ion-icon>  </button></ion-content></div>'
    var COMPONENTS = [{'name': 'AddInfoPage', 'selector': 'page-add-info'},{'name': 'AddObjectPage', 'selector': 'page-add-object'},{'name': 'ARViewPage', 'selector': 'page-ar-view'},{'name': 'CloudRecognitionPage', 'selector': 'page-cloud-recognition'},{'name': 'DetailPage', 'selector': 'page-detail'},{'name': 'DialogPage', 'selector': 'page-dialog'},{'name': 'FeedPage', 'selector': 'page-feed'},{'name': 'HomePage', 'selector': 'page-home'},{'name': 'LoginPage', 'selector': 'page-login'},{'name': 'MasterPage', 'selector': 'page-master'},{'name': 'MyApp', 'selector': ''},{'name': 'PlaceholderPage', 'selector': 'page-placeholder'},{'name': 'RegisterPage', 'selector': 'page-register'},{'name': 'TabsPage', 'selector': ''},{'name': 'UserGroupPage', 'selector': 'page-user-group'},{'name': 'UserGroupSplitPage', 'selector': 'page-user-group-split'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'AddInfoPage'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'AddInfoPage.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
